Update chapter
curl --request PATCH \
--url https://api.thehaystack.ai/v2/haystack/media/chapters/{chapterId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"startMs": 123,
"suggested": true,
"accepted": true
}
'import requests
url = "https://api.thehaystack.ai/v2/haystack/media/chapters/{chapterId}"
payload = {
"title": "<string>",
"startMs": 123,
"suggested": True,
"accepted": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: '<string>', startMs: 123, suggested: true, accepted: true})
};
fetch('https://api.thehaystack.ai/v2/haystack/media/chapters/{chapterId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"chapter": {
"id": 123,
"itemId": 123,
"mediaAssetId": 123,
"title": "Introduction",
"startMs": 123,
"suggested": true,
"accepted": true,
"hidden": true
}
}Chapters
Update Chapter
PATCH
/
media
/
chapters
/
{chapterId}
Update chapter
Authorizations
Enter your API token from the Haystack dashboard
Path Parameters
Response
200 - application/json
Updated chapter
Show child attributes
Show child attributes
⌘I

